[Pkg-nagios-changes] [SCM] UNNAMED PROJECT branch, debian/master, updated. 810edbdd3feedbfe37f4a65bee50b57b2f60fa2a
David GUENAULT
dguenault at monitoring-fr.org
Tue Feb 28 22:14:28 UTC 2012
The following commit has been merged in the debian/master branch:
commit 9a41ad0e7c41380cc6a024ee3ac26f3c49e10583
Author: David GUENAULT <dguenault at monitoring-fr.org>
Date: Mon Jan 16 07:58:28 2012 +0100
Added script to install all plugins and addons
diff --git a/contrib/alternative-installation/shinken-install/tools/checkmodule.py b/contrib/alternative-installation/shinken-install/shinken_all.sh
similarity index 61%
copy from contrib/alternative-installation/shinken-install/tools/checkmodule.py
copy to contrib/alternative-installation/shinken-install/shinken_all.sh
index 8513e28..fe4311a 100755
--- a/contrib/alternative-installation/shinken-install/tools/checkmodule.py
+++ b/contrib/alternative-installation/shinken-install/shinken_all.sh
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/bin/bash
#Copyright (C) 2009-2012 :
# Gabes Jean, naparuba at gmail.com
# Gerhard Lausser, Gerhard.Lausser at consol.de
@@ -19,23 +19,36 @@
#You should have received a copy of the GNU Affero General Public License
#along with Shinken. If not, see <http://www.gnu.org/licenses/>.
-import sys
-import getopt
-def main(argv):
- try:
- opts, args = getopt.getopt(argv, "m:")
- ret=0
- for o, a in opts:
- if o == "-m":
- try:
- exec("import "+a)
- print "OK"
- except:
- print "KO"
- ret=2
- except:
- ret=1
- sys.exit(ret)
+# environnement
+export myscripts=$(readlink -f $(dirname $0))
-if __name__ == "__main__":
- main(sys.argv[1:])
+export plugins="nagios-plugins
+check_mysql_health check_wmi_plus check_mongodb check_emc_clariion
+check_nwc_health capture_plugin"
+export addons="pnp4nagios multisite"
+
+cd $myscripts
+./shinken.sh -i
+
+if [ $? -ne 0 ]
+then
+ exit 2
+fi
+
+for p in $plugins
+do
+ ./shinken.sh -p $p
+ if [ $? -ne 0 ]
+ then
+ exit 2
+ fi
+done
+
+for m in $modules
+do
+ ./shinken.sh -p $p
+ if [ $? -ne 0 ]
+ then
+ exit 2
+ fi
+done
--
UNNAMED PROJECT
More information about the Pkg-nagios-changes
mailing list